#ifndef __DATAFLASH_INCLUDED
#define __DATAFLASH_INCLUDED

#define DF_PAGE_SIZE	264
#define DF_NOOF_PAGES	2048

#define sbiDF(port,bit)	(port |=  (1<<bit))
#define cbiDF(port,bit)	(port &= ~(1<<bit))

#define SetBit(x,y)		(x |= (y))
#define ClrBit(x,y)		(x &=~(y))
#define ChkBit(x,y)		(x  & (y))

//Dataflash macro definitions
#define df_cs_active	cbiDF(PORTB,0)
#define df_cs_inactive	sbiDF(PORTB,0)

#define StatusRegRead                                   0x57    // Status register



//Function definitions
void df_spi_init (void);
unsigned char df_spi_rw (unsigned char output);
uint8_t flash_status();

#endif
