
#include <avr/io.h>
#include <stdio.h>
#include <stdlib.h>
#include <avr/interrupt.h>
#include "dataflash.h"

extern FILE *uart;

void dataflashtest()
{
	int i;
	uint8_t d;
	cli();
	fprintf(uart,"Flash Status %X\n",flash_status());
	
	buffer_write_init(1,0);
	for(i=0;i<50;i++)
		df_spi_rw(i);
	df_cs_inactive;
	
	fputs("\nBuffer Read\n",uart);
	buffer_read_init(1,0);
	for(i=0;i<50;i++)
	{
		d=df_spi_rw(i);
		fprintf(uart,"%X ",d);
		/*
		if (d!=i)
			fputs("Dataflash Buffer Read Error\n",uart);
			*/
	}
	df_cs_inactive;

	fputs("\nProgramming Flash\n",uart);
	buffer_to_flash_no_erase(1,0);
	while (!(flash_status() & 0x80))
		;
	
	fputs("\nCont. Array Read\n",uart);
	cont_array_read_init();
	for(i=0;i<512;i++)
	{
		d=df_spi_rw(0);
		fprintf(uart,"%X ",d);
	}
	df_cs_inactive;

	fputs("\nErasing Dataflash\n",uart);
	erase_all();
	
	fputs("\nCont. Array Read\n",uart);
	cont_array_read_init();
	for(i=0;i<512;i++)
	{
		d=df_spi_rw(0);
		fprintf(uart,"%X ",d);
	}
	df_cs_inactive;

	sei();
}


